Questions tagged [tcl]

Tcl (originally from "Tool Command Language", but conventionally rendered as "Tcl" rather than "TCL"; is a scripting language.

Filter by
Sorted by
Tagged with
0
votes
0answers
31 views

tcl headers not found while installing openSTA

This is what i get after executing cmake .. - TCL library: /usr/lib/x86_64-linux-gnu/libtcl8.6.so -- TCL header: TCL_HEADER-NOTFOUND and after executing "make" fatal error: tcl.h: No such ...
0
votes
0answers
15 views

TCL version conflict with bltwish

I am installing blt2.4z onto my desktop to use with an older plotting tool and am having trouble getting bltwish to run without throwing an "application-specific initialization failed: version ...
0
votes
1answer
49 views

Which package provides Tcl's fileutil::magic::mimetype?

I'm attempting to run a Tcl program, Sguil server, on Ubuntu 18.04.4 LTS. After modifying the configuration files as per the instructions I ran the program: sudo ./sguild I received the following ...
0
votes
0answers
44 views

tcl/tk window icons not displayed properly

I'm trying to get an application written in Tcl/Tk to be executed in the launcher, use proper icons, and have individual windows display with proper icons. I've mostly gotten it to work, but I'm ...
1
vote
0answers
119 views

tk improper instalation

I have installed tk and tcl through sudo apt-get install tk tcl and have the latest version of both. However, when I go to run wish, I get the following error: application-specific initialization ...
0
votes
1answer
799 views

Can't find a usable init.tcl and conflict version tcl

I just downloaded the linux version of this software (http://inano.au.dk/about/research-centers/nmr/software/simpson/) after unpacking the file I run sudo bash install.sh and all the dependencies were ...
3
votes
2answers
2k views

Globus Personal Connect: Tcllib installed, but keeps showing “tcllib not found” error

Trying to use Globus Personal Connect on my Ubuntu 16.04, and it requires Tcllib. I have tcllib installed (the newest version), but it still says "Tcllib not found" when I try to access the Globus ...
3
votes
0answers
2k views

Tkinter font not changing on python 3.6.8 on Ubuntu 18.04

I am not able to change the font family of the label in tkinter. I have written the code to explain the issue. I have also attached a link to show the output. (for images please go to this link I ...
0
votes
2answers
90 views

grepping array elements from a tcl file

I have something like below in a tcl file. array set myports { a b c d e } array set myports { g h i j K l } How to do a simple grep on the file and print the elements in the array ?
1
vote
0answers
123 views

How to install rl_json on Ubuntu 16.04

I'm trying to install rl_json on ubuntu 16.04. make install finishes without an error but rl_json gives me command not found https://github.com/RubyLane/rl_json
3
votes
1answer
2k views

Tcl/Tk programs fails after upgrade to 18.04

I have a problem with a Tcl/Tk application, redet, and Ubuntu 18.04. I installed it in 17.04, using synaptic so that all its dependencies were pulled in. It continued to work in 17.10. After ...
0
votes
0answers
150 views

Tcl/Tk textbox not functional in Ubuntu 17

I have a legacy Tcl/Tk app, skycat, compiled on both Ubuntu 14 and 16. Both apps will launch on Ubuntu 17 but one cannot type in text boxes. Tricks from this post https://www.cfd-online.com/Forums/...
-2
votes
1answer
2k views

How to install TCL packages: uuid,Itcl, html, tdom, tdom, tepam, math::bignum

I need help to install the following TCL packages: uuid Itcl html tdom tdom tepam math::bignum
1
vote
1answer
1k views

Location of Tcl 8.6 library and Location of Tk 8.6 library: not found [duplicate]

Command was sudo auto-apt run ./configure Error message: DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS" Location of "tcl.h": /usr/include/tcl8.6 Location of "tk.h": /usr/include/tcl8.6 ...
0
votes
1answer
206 views

Error while rebuilding tcl 8.5 to disabling threadings

Im on installation of Squert Dashboard for suricata on Ubuntu Xenial 16.04 LTS Before install Squert I need to install Sguil (sgweel), sguil need tcl 8.3 (or better) and I found in source the current ...
2
votes
1answer
4k views

How do I let Ubuntu find the install path for tcl?

I am running Ubuntu 16.04. I am trying to install the R package tcltk. When I run install.packages('tcltk'), I get the following error: Installing package into ‘/home/esander/R/x86_64-pc-linux-gnu-...
2
votes
1answer
981 views

bash: ./ns: No such file or directory

I am trying to execute a TCL script in NS2 simulator but I see this error: bash: ./ns: No such file or directory The path is `ns-2.35/tcl/ex/wpan.' When I execute this file in ns-2.35, it runs well. ...
1
vote
1answer
417 views

tcl checking fails

I am using ubuntu 14.04 and after adding some files for the integration of evalvid 2.7 and ns-2.35, i enter ./configure again from this directory: /home/user_name/Documents/ns-allinone-2.35/ns-2....
2
votes
1answer
983 views

setting a tcl/tk library path inside a snap package

After making and installing a snap package of tcl/tk, tcl complains it cant find init.tcl in a series of libraries. This has been documented many times with windows, python and tkinter, and a virt ...
-1
votes
1answer
605 views

Integration of ns-2.35 and EvalVid 2.7 : Problem with tcl

I use ubuntu 14.04 and i am trying to integrate evalvid 2.7 and ns2.35. I added necessary files like: myevalvid.cc, myudp.cc, myudp.h, myevalvid_sink.cc, myevalvid_sink.h . And inside the Makefile.in ...
2
votes
0answers
487 views

Problem Installing XOOPIC

I am trying to compile and install XOOPIC on Kubuntu 16.04 LTS: http://ptsg.egr.msu.edu/ I installed xgrafix already in /home/downloads/xgrafix, and now I am going on to installing xoopic. For some ...
0
votes
1answer
433 views

How to run EasyModeller (GUI for Modeller) on Ubuntu 14 x64?

I have successfully installed Modeller. I want to try to use the front end GUI software EasyModeller. However, when I try to run it I receive the error message as follows: user@pc:~/Downloads/...
1
vote
0answers
73 views

Problem with using Tclx

The installed version of Tcl is Tcl 8.5. The installed version of Tclx is 8.4. The incompatibility between the two versions creates problems. Any remedy?
1
vote
1answer
1k views

How to use the left and right arrow keys in the tclsh interactive shell?

Why can't I use the left and right arrow keys (actually, the same goes for the up and down keys as well) to move about the line I'm currently on in the tclsh interactive shell? If I try to press ...
0
votes
1answer
86 views

Ubuntu execute file without ./

Using a shebang line, I added the functionality to launch a TCL script using the wish shell. However, I can only quickly launch the file by typing ./filename.tcl in the terminal. I would like to know, ...
0
votes
2answers
5k views

Save terminal output to variable in expect/tcl

Hej all, I have to use an interactive program and I want to automatize it with expect. My experiences in Linux and scripting is not the best. So this is the program output: enter minimum cross-...
1
vote
1answer
1k views

How to make .tcl file directly executable from Launcher [duplicate]

I'm running Ubuntu 14.04 LTS. I use a program called ApE (A plasmid Editor) which I have to run directly from the Terminal using the following command; tclsh8.5 /home/justin/ApE/AppMain.tcl For ...
0
votes
1answer
1k views

tcl no such file or directory

I am running this script nmrCube.tcl for generating 3D box from NMR data. I initially had problem with Library before which is now sorted While running the script I get this, (even though it is ...
1
vote
0answers
268 views

Megahal eggdrop undefined symbol: PL_thr_key

I recently installed megahal on my eggdrop v1.6.21 and I get this error when I run it Can't load modules Megahal: /home/ubuntu/eggdrop/modules/Megahal.so: undefined symbol: PL_thr_key I compiled the ...
1
vote
3answers
4k views

Tcl/Tk not being installed correctly on my computer

I am currently trying to install xgrafix from PTSG's website. Running configure within xgrafix folders I am running into a problem. It is stating that I must make sure Tcl/Tk is installed correctly ...
1
vote
1answer
1k views

sqlite make test fails because of “tcl.h not found” or “undefined reference to Tcl_Free”

I have obtained the sqlite source code with: sudo apt-get install fossil mkdir sqlite cd sqlite fossil clone http://www.sqlite.org/cgi/src/doc/trunk a fossil open a rm a and compiled it with the ...
-1
votes
1answer
1k views

.tcl file not running

I have installed ns2 on ubuntu 12.04. when I am trying to run .tcl file following error is showing up: ajay@ajay-Inspiron-535s:~$ cd ajay ajay@ajay-Inspiron-535s:~/ajay$ ns old.tcl couldn't read file ...
3
votes
1answer
8k views

wish missing but tk is installed

I was wanting to tinker around with TCL/TK programming. I tried to invoke the wish shell, but got this error: $ wish The program 'wish' is currently not installed. You can install it by typing: sudo ...
2
votes
2answers
414 views

Unable to use 'vi' on Ubuntu 12.04

Whenever I try to open any text file using vi or vim, I get the following error, vim: error while loading shared libraries: libtcl8.5.so.0: cannot open shared object file: No such file or directory ...
6
votes
2answers
6k views

Tcl error while installing Wordnet

While installing Wordnet, I'm getting the following error; stubs.c:132:14: error: ‘Tcl_Interp’ has no member named ‘result’ I tried giving following; #define USE_INTERP_RESULT 1 at the end of "...
8
votes
2answers
22k views

Error: tcl.h not found (no such file or directory)

I'm trying to install something using the 'make' command, however it gives me the fatal error:tcl.h no such file or directory. I'm new to linux, can anyone help me?
2
votes
1answer
2k views

Tcl: installing package starkit?

(just wanted to document this; self-answer to follow) I just found Visual REGEXP : a graphical explorer for your regexps, which is a Tck/Tk application, so I wanted to try it on Ubuntu 11.04 natty. ...
1
vote
1answer
2k views

tk installation doesn't work for ruby1.9.1

Ok, this is what I did before I landed onto a terminal with a bunch of error messages... First, I installed ruby1.9.1 using apt-get. (All of those ruby1.9.1 packages including ruby1.9.1-examples and ...
6
votes
2answers
11k views

Where can I find tclConfig?

I'm trying to install something that uses Tcl and it requires the config file tclConfig. I've installed tcl via sudo apt-get install tcl8.5 but after doing a search there isn't such a file. Did I ...